rcsoccersim

来自「在LINUX下运行的仿真机器人服务器源代码」· 代码 · 共 101 行

TXT
101
字号
#! /bin/sh#--------------------------------------------------# option#SERV=`which rcssserver 2> /dev/null`if test $? -eq 1; then    echo "Error: rcssserver can not be found in your PATH"    echo ""    exit 1fiif test $# -eq 0; then    if test "$RCSSMONITOR"; then        MON=`which "$RCSSMONITOR" 2> /dev/null`        if test $? -eq 1; then            echo "Error: cannot find the monitor specified by RCSSMONITOR: $RCSSMONITOR"            echo ""            exit 1        fi    else        MON=`which rcssmonitor 2> /dev/null`        if test $? -eq 1; then            MON=`which rcssmonitor_classic 2> /dev/null`            if test $? -eq 1; then                echo "Error: No monitors can be found in your PATH and the"                echo "       RCSSMONITOR environment variable is not set. Please"                echo "       add rcssmonitor or rcssmonitor_classic to you PATH,"                echo "       or set the RCSSMONITOR environment variable to the"                echo "       executable you wish to use."                echo ""                exit 1            fi        fi    fielif test $# -eq 1; then    case "$1" in        -frameview)        MON=`which rcssmonitor 2> /dev/null`        if test $? -eq 1; then            echo "Error: rcssmonitor found in your PATH"            echo ""            exit 1        fi        ;;        -classic)        MON=`which rcssmonitor_classic 2> /dev/null`        if test $? -eq 1; then            echo "Error: rcssmonitor_classic found in your PATH"            echo ""            exit 1        fi        ;;    esacelse    echo "Error: too many options"    echo "Usage: $0 [(-frameview)|(-classic)]"    echo ""fi    #--------------------------------------------------# set handler#trap kill_server INT#--------------------------------------------------# start server#$SERV &PID=$!#--------------------------------------------------# kill server#kill_server(){        kill -s SIGINT $PID	echo ""        exit 0}#--------------------------------------------------# start monitor#sleep 1$MONkill_server

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?